Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.ast.stmt
Class CatchStatement

Field Summary
`Statement` | `code`
`Parameter` | `variable`

Constructor Summary
`CatchStatement(Parameter variable, Statement code)`

Method Summary
`Statement` | `getCode()`
`ClassNode` | `getExceptionType()`
`Parameter` | `getVariable()`
`void` | `visit(GroovyCodeVisitor visitor)`

Constructor Detail

### CatchStatement

    public CatchStatement(Parameter variable, Statement code)

Method Detail

### getCode

    public Statement getCode()

### getExceptionType

    public ClassNode getExceptionType()

### getVariable

    public Parameter getVariable()

### visit

    public void visit(GroovyCodeVisitor visitor)